Skip to main content
POST
/
v1
/
jobs
/
extract-properties
Extract Properties
curl --request POST \
  --url https://api.aryn.cloud/v1/jobs/extract-properties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": [
    {
      "name": "<string>",
      "field_type": "<string>",
      "default": "<unknown>",
      "description": "<string>",
      "examples": [
        "<unknown>"
      ]
    }
  ]
}
'
import requests

url = "https://api.aryn.cloud/v1/jobs/extract-properties"

payload = { "properties": [
        {
            "name": "<string>",
            "field_type": "<string>",
            "default": "<unknown>",
            "description": "<string>",
            "examples": ["<unknown>"]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    properties: [
      {
        name: '<string>',
        field_type: '<string>',
        default: '<unknown>',
        description: '<string>',
        examples: ['<unknown>']
      }
    ]
  })
};

fetch('https://api.aryn.cloud/v1/jobs/extract-properties', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

docset_id
string
required

The ID of the DocSet to extract properties from

Body

application/json

A Schema describing the fields to extract from the DocSet

properties
SchemaProperty · object[]
required

A list of properties belong to this schema.

Response

Successful Response